%define major   2
%define libname %mklibname markdown %{major}
%define devname %mklibname markdown -d

Name:           discount
Version:        2.2.6
Release:        %mkrel 1
Summary:        A command-line utility for converting Markdown files into HTML
Group:          Text tools
License:        BSD
URL:            http://www.pell.portland.or.us/~orc/Code/discount
Source0:        https://github.com/Orc/discount/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:         discount-2.2.4-ldconfig.patch

BuildRequires:  lib64markdown-devel

%description
Discount is an implementation of John Gruber's Markdown language in C.
It includes all of the original Markdown features, along with a few
extensions, and passes the Markdown test suite.

%files
%{_bindir}/markdown
%{_bindir}/%{name}-makepage
%{_bindir}/%{name}-mkd2html
%{_bindir}/%{name}-theme
%{_mandir}/man1/markdown.1*
%{_mandir}/man7/markdown.7*
%{_mandir}/man1/%{name}-*.1*
%{_mandir}/man7/mkd-*.7*

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        A fast implementation of the Markdown language in C
Group:          System/Libraries

%description -n %{libname}
libmarkdown is the library portion of Discount, a fast Markdown language
implementation, written in C.

%files -n       %{libname}
%doc README COPYRIGHT CREDITS
%{_libdir}/libmarkdown.so.%{major}*

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development headers for the libmarkdown library
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       markdown-devel = %{version}-%{release}
Provides:       libmarkdown-devel = %{version}-%{release}

%description -n %{devname}
This package contains development headers and developer-oriented man pages for
libmarkdown.

%files -n       %{devname}
%{_libdir}/libmarkdown.so
%{_libdir}/pkgconfig/libmarkdown.pc
%{_includedir}/mkdio.h
%{_mandir}/man3/markdown.3*
%{_mandir}/man3/mkd*.3*

#----------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%setup_compile_flags
# Not using %%configure2_5x since it is not an autotools script
./configure.sh \
    --shared \
    --pkg-config \
    --prefix=%{_prefix} \
    --execdir=%{_bindir} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --enable-all-features \
    --with-fenced-code
%make_build

%install
%make_install install.everything

install -D -m644 libmarkdown.pc %{buildroot}%{_libdir}/pkgconfig/libmarkdown.pc

# Rename sample programs (names are too generic) and matching man1 pages
mv %{buildroot}%{_bindir}/makepage %{buildroot}%{_bindir}/%{name}-makepage
mv %{buildroot}%{_bindir}/mkd2html %{buildroot}%{_bindir}/%{name}-mkd2html
mv %{buildroot}%{_bindir}/theme %{buildroot}%{_bindir}/%{name}-theme
mv %{buildroot}%{_mandir}/man1/makepage.1 \
   %{buildroot}%{_mandir}/man1/%{name}-makepage.1
mv %{buildroot}%{_mandir}/man1/mkd2html.1 \
   %{buildroot}%{_mandir}/man1/%{name}-mkd2html.1
mv %{buildroot}%{_mandir}/man1/theme.1 \
   %{buildroot}%{_mandir}/man1/%{name}-theme.1


%changelog
* Mon May 13 2019 tex - 2.2.6-1pclos2019
- new version

* Thu Jan 31 2019 tex 2.2.5-1pclos2019
- new
